Bug 18614 - sync 5.0 java-eclipse
: sync 5.0 java-eclipse
Status: CLOSED FIXED
: Package transfer
(All bugs in Package transfer/branch/5.0)
: unspecified
: all Linux
: P2 normal
Assigned To:
:
:
:
: 18609
:
  Show dependency tree
 
Reported: 2009-01-23 12:00 by
Modified: 2009-02-08 13:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-01-23 12:00:47
the following packages should be copied to 5.0:
ant-contrib-1.0-alt4_0.b3.1jpp5
apache-jdo-2.0-alt3_4jpp5
aqute-bndlib-0.0.203-alt3_2jpp5
args4j10-1.0-alt4_1jpp5
asm2-2.2.3-alt3_7jpp5
aspectj-1.5.3-alt2_2jpp5
c3p0-0.9.1.2-alt2_2jpp5
cglib-2.1.3-alt5_4jpp5
clojure-20080916-alt1_2jpp5
directory-naming-0.8-alt4_1jpp5
eclipse-3.4.1-alt5_5jpp6
eclipse-cdt-5.0.1-alt1_1jpp6
eclipse-changelog-2.6.3-alt1_2jpp6
eclipse-checkstyle-4.0.1-alt1_11jpp6
eclipse-egit-0.3.1.20081022-alt1_3jpp6
eclipse-epic-0.6.27-alt1_1jpp6
eclipse-gef-3.4.1-alt1_2jpp6
eclipse-mylyn-3.0.1-alt1_3jpp6
eclipse-nls-0.2.0-alt2_0.5.20080807snapjpp6
eclipse-photran-4.0.0-alt1_0.b4.3jpp6
eclipse-phpeclipse-1.2.1-alt1_2jpp6
eclipse-pydev-1.3.24-alt1_1jpp6
eclipse-quickrex-3.5.0-alt1_9jpp6
eclipse-rpm-editor-0.4.0-alt1_5jpp6
eclipse-shelled-1.0.3-alt1_3jpp6
eclipse-subclipse-1.2.4-alt2_12jpp6
el-impl-1.0-alt1_1jpp5
excalibur-1.0-alt3_0.r508111.13jpp5
freemarker-2.3.13-alt2_4jpp5
glassfish-jaf-1.1.0-alt2_5jpp5
glassfish-javamail-1.4.0-alt2_3jpp5
glassfish-jaxws-2.1.1-alt1_4jpp5
glassfish-persistence-2.0.41-alt2_1jpp5
hamcrest-1.1-alt1_8jpp5
hibernate3-tools-3.2.1-alt3_1jpp5
icu4j-3.8.1-alt1_4jpp6
jakarta-commons-codec-1.3-alt4_9.4jpp5
jakarta-commons-dbcp-1.2.2-alt2_2jpp5
jakarta-commons-dbutils-1.1-alt2_1jpp5
jakarta-commons-el-1.0-alt4_11jpp5
jakarta-commons-httpclient-3.1-alt2_0.3jpp5
jakarta-commons-lang-2.3-alt1_2.3jpp5
jakarta-commons-logging-1.1-alt2_8jpp5
jakarta-commons-net-1.4.1-alt3_4jpp5
javancss-27.48-alt3_2jpp5
javassist-3.8.0-alt1_2jpp5
jcommon-1.0.12-alt2_3jpp5
jdom-1.0-alt2_5.5jpp5
jetty5-5.1.14-alt2_6jpp5
jfreechart-1.0.9-alt2_4jpp5
jmock2-2.4.0-alt2_1jpp5
joda-time-1.5.2-alt3_1jpp5
jsch-0.1.39-alt1_1.1jpp5
jtb-1.3.2-alt1_2jpp5
junitdoclet-jdk14-1.0.2-alt2_6jpp5
jython-2.2.1-alt5_0.1.Release_2_2_1.1.2jpp5
mockejb-0.6-alt3_0.b2.3jpp5
mockrunner-0.3.8-alt3_1jpp5
msv-1.2-alt4_0.20050722.6jpp5
netbeans-6.1-alt1_10jpp6
objectweb-asm-3.1-alt2_5jpp5
objenesis-1.0-alt2_1jpp5
ognl-2.6.9-alt2_3jpp5
openjpa-1.0.2-alt3_1jpp5
plexus-compiler-1.5.2-alt2_5jpp6
pmd-4.2.4-alt1_2jpp5
portals-pluto10-1.0.1-alt2_2jpp5
quartz16-1.6.0-alt4_1jpp5
rhino16-1.6-alt1_1.r7.1jpp5
rngom-0.1-alt2_0.20061207.1jpp5
rome-0.9-alt1_1jpp5
sac-1.3-alt1_4jpp5
sat4j-2.0.0-alt1_7jpp6
saxon-6.5.5-alt2_1jpp5
servletapi4-4.0.4-alt1_6jpp5
spring-1.2.9-alt3_3jpp5
stax-ex-1.2-alt1_4jpp5
stringtemplate-2.2-alt3_2jpp5
sun-annotation-1.0-api-1.0-alt2_2jpp5
sun-codemodel-2.0-alt1_2jpp5
sun-dtdparser-1.0-alt2_2jpp5
sun-istack-commons-1.0-alt2_2jpp5
sun-jaf-1.1-alt5_3jpp5
sun-jaxb-1.0-1.0.6-alt2_2jpp5
sun-jaxb-2.1-api-2.1-alt2_4jpp5
sun-jaxb-2.1-impl-2.1.6-alt3_1jpp5
sun-jaxws-2.1-api-2.1-alt3_2jpp5
sun-jaxws-2.1-impl-2.1.3-alt3_1jpp5
sun-mimepull-1.2-alt3_1jpp5
sun-saaj-1.3-impl-1.3.1-alt3_1jpp5
sun-ws-metadata-2.0-api-1.0.MR1-alt2_2jpp5
sun-xmlstreambuffer-0.7-alt1_3jpp5
swarmcache-1.0-alt3_0.cvs040225.8jpp5
textmining-0.4-alt3_2jpp5
tomcat5-5.5.27-alt4_6.1jpp5
tomcat6-6.0.18-alt2_8jpp5
ws-commons-tcpmon-1.0-alt3_1jpp5
ws-commons-util-1.0.2-alt1_2jpp5
wsdl4j-1.6.2-alt2_4jpp5
ws-jaxme-0.5.2-alt1_1jpp5
ws-scout-1.0-alt2_5jpp5
xalan-j2-2.7.0-alt6_10jpp5
xerces-j2-2.9.0-alt6_12jpp5
xmlbeans-2.3.0-alt3_1jpp5
xml-commons-1.3.04-alt4_4jpp5
xmlrpc3-3.0-alt1_2.9jpp5
xsite-1.0-alt2_0.b9.1jpp5
xstream-1.3-alt1_2jpp5

the following package should be removed from 5.0:
saxon7-7.9.1-alt3_3jpp1.7
------- Comment #1 From 2009-01-23 14:45:47 -------
Я буду переносить большие множества пакетов с помощью разрабатываемой в данный
момент сборочницы girar-builder.  Придётся немного подождать.
------- Comment #2 From 2009-01-25 05:40:00 -------
+ gb-task-repo-unmets
 *** i586: new unmet dependencies detected
eclipse-epic#0.6.27-alt1_1jpp6  perl(Module/Starter.pm)
 *** x86_64: new unmet dependencies detected
eclipse-epic#0.6.27-alt1_1jpp6  perl(Module/Starter.pm)
------- Comment #3 From 2009-01-25 22:48:31 -------
(В ответ на комментарий №2)
>  *** i586: new unmet dependencies detected
> eclipse-epic#0.6.27-alt1_1jpp6  perl(Module/Starter.pm)

Понял, спасибо. Вот уточненная транзакция
(так понял по log, что надо указывать %name)

the following packages should be copied to 5.0:
ant-contrib
apache-jdo
aqute-bndlib
args4j10
asm2
aspectj
avalon-framework
avalon-logkit
c3p0
cglib
clojure
directory-naming
eclipse
eclipse-cdt
eclipse-changelog
eclipse-checkstyle
eclipse-egit
eclipse-epic
eclipse-gef
eclipse-mylyn
eclipse-nls
eclipse-photran
eclipse-phpeclipse
eclipse-pydev
eclipse-quickrex
eclipse-rpm-editor
eclipse-shelled
eclipse-subclipse
el-impl
excalibur
freemarker
glassfish-jaf
glassfish-javamail
glassfish-jaxws
glassfish-persistence
hamcrest
hibernate3-tools
icu4j
jakarta-commons-codec
jakarta-commons-dbcp
jakarta-commons-dbutils
jakarta-commons-el
jakarta-commons-httpclient
jakarta-commons-lang
jakarta-commons-logging
jakarta-commons-net
javancss
javassist
jcommon
jdom
jetty5
jfreechart
jisp2
jmock2
joda-time
jsch
jtb
junitdoclet-jdk14
jython
mockejb
mockrunner
msv
mx4j
netbeans
objectweb-asm
objenesis
ognl
openjpa
openorb
perl-Module-Starter
plexus-compiler
pmd
portals-pluto10
quartz16
rhino16
rngom
rome
sac
sat4j
saxon
servletapi4
spring
stax-ex
stringtemplate
sun-annotation-1.0-api
sun-codemodel
sun-dtdparser
sun-istack-commons
sun-jaf
sun-jaxb-1.0
sun-jaxb-2.1-api
sun-jaxb-2.1-impl
sun-jaxws-2.1-api
sun-jaxws-2.1-impl
sun-mimepull
sun-saaj-1.3-impl
sun-ws-metadata-2.0-api
sun-xmlstreambuffer
swarmcache
textmining
tomcat5
ws-commons-tcpmon
ws-commons-util
wsdl4j
ws-jaxme
ws-scout
xalan-j2
xerces-j2
xmlbeans
xml-commons
xmlrpc3
xsite
xstream

the following package should be removed from 5.0:
saxon7
------- Comment #4 From 2009-01-26 16:27:36 -------
готовлюсь собирать новый maven2, 
это означает что придется полностью разломать java-репозитарий.

хочу переложить стабильный срез, пока он существует,
хотелось бы попросить попробовать переложить по уточненному списку.
------- Comment #5 From 2009-01-27 14:11:26 -------
done, thanks.
------- Comment #6 From 2009-02-08 01:19:06 -------
После переноса этих пакетов сломалась сборка других jpp-пакетов:

activeio-0:2.0-alt1_3jpp1.7
maven2-0:2.0.4-alt1_10jpp1.7
plexus-avalon-personality-0:0.13-alt2_4jpp1.7
plexus-ftpd-0:1.0-alt2_0.a1.4jpp5
plexus-naming-0:1.0-alt1_0.a3.1jpp5
plexus-registry-0:1.0-alt1_0.a3.1jpp5
rmock-0:2.0.0-alt1_2jpp5
spring-0:1.2.9-alt3_3jpp5
------- Comment #7 From 2009-02-08 13:40:11 -------
да, спасибо, переложил excalibur
task #556